curl -X POST 'https://api.example.com/tags/batch' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "high",
"label": "High Priority"
},
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "medium",
"label": "Medium Priority"
},
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "low",
"label": "Low Priority"
}
]'
[
{
"id": "tag_high",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "high",
"label": "High Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "tag_medium",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "medium",
"label": "Medium Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "tag_low",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "low",
"label": "Low Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
}
]
Tags
Create Tags (Batch)
Create multiple tags in a single request
POST
/
tags
/
batch
curl -X POST 'https://api.example.com/tags/batch' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "high",
"label": "High Priority"
},
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "medium",
"label": "Medium Priority"
},
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "low",
"label": "Low Priority"
}
]'
[
{
"id": "tag_high",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "high",
"label": "High Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "tag_medium",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "medium",
"label": "Medium Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "tag_low",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "low",
"label": "Low Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
}
]
Overview
Batch creation allows you to create multiple tags in a single API call.ID Format: All IDs use a namespaced UUIDv7 format:
tag_{uuidv7}.Request Body
Array of tag objects:Optional client-provided ID
ID of the scope
ID of the tag group
Unique identifier for the tag within the group
Display label for the tag
Response
Returns an array of created tag objects.curl -X POST 'https://api.example.com/tags/batch' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "high",
"label": "High Priority"
},
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "medium",
"label": "Medium Priority"
},
{
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "low",
"label": "Low Priority"
}
]'
[
{
"id": "tag_high",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "high",
"label": "High Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "tag_medium",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "medium",
"label": "Medium Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "tag_low",
"scopeId": "scope_acme",
"tagGroupId": "tag_group_priority",
"identifier": "low",
"label": "Low Priority",
"createdBy": "system",
"createdAt": "2024-01-15T10:30:00Z"
}
]
Was this page helpful?
⌘I